//? cpmdimdef.h
//? C+- by Ulrich Mutze. Status of work 2022-03-21.
//? Copyright (c) 2020 Ulrich Mutze
//? contact: see contact-info at www.ulrichmutze.de
//? 
//? This program is free software: you can redistribute it and/or
//? modify it under the terms of the GNU General Public License as
//? published by the Free Software Foundation, either version 3 of
//? the License, or (at your option) any later version.
//? 
//? This program is distributed in the hope that it will be useful,
//? but WITHOUT ANY WARRANTY; without even the implied warranty of
//? MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//? GNU General Public License <http://www.gnu.org/licenses/> for 
//? more details.


#ifndef CPM_DIMDEF_H_
#define CPM_DIMDEF_H_
/*************************************************************************
   cpmdimdef.h
   Description: In this file one defines whether the
   model to be built will be 2D or 3D or whether compilation
   provides both options and selection can be done at run time
   by means of an ini-file. Since reference to a dimension 
   occurs already in cpminifilebasapp.(h,cpp) we need the file
   yet in cpm1, although main usage occurs in cpm2. 

*************************************************************************/

#define CPM_DIMDEF2
#define CPM_DIMDEF3
#endif
