//? ulmdef.h
//? C+- by Ulrich Mutze. Status of work 2022-03-21.
//? Copyright (c) 2020 Ulrich Mutze
//? contact: see contact-info at www.ulrichmutze.de
//? 
//? This program is free software: you can redistribute it and/or
//? modify it under the terms of the GNU General Public License as
//? published by the Free Software Foundation, either version 3 of
//? the License, or (at your option) any later version.
//? 
//? This program is distributed in the hope that it will be useful,
//? but WITHOUT ANY WARRANTY; without even the implied warranty of
//? MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//? GNU General Public License <http://www.gnu.org/licenses/> for 
//? more details.


#ifndef ULM_DEF_H_
#define ULM_DEF_H_

// ulmdef.h
// Contains the defines that control compilation.

// RULE: Comments refer to what follows if this shows equal or
// larger indentation.
// Comments refer to the preceding stuff if they show larger
// stronger indentation than this stuff.
// Note: In assessing the indentation of a comment ignore the '//'.

// controls usage of long int and long double
//#define ULM_LONG

// contros usage of multiple precision real numbers (together
// with long int
//#define ULM_MP 22


// recommended, increases safety
#define ULM_RANGE_CHECK

// defining test programs which enlarge the code and may not always
// be wanted
#define ULM_TESTS

//#define ULM_WRITE_TITLE use a variable instead. The change
// does not requires recompilation.

#endif
